#include <iostream>
using namespace std;

int main() {
	int n;
	int a[10000];
	
	cin>>n;   //ulaz
	for(int i=0;i<n;i++)
	cin>>a[i];
	
	int k,c,max[10000];  //1. slucaj
	
		int uslov=0,drugiuslov=0;
	for(int i=0;i<n;i++){
		if(a[i]>a[i+1]) uslov++;
	}
	for(int i=0;i<n;i++){
		if(a[i]>=a[i+1]) drugiuslov++;
	}
	
	if(n==2){
		c=a[0];
		a[0]=a[1];
		a[1]=c;
	}

	else if(uslov==n){
		c=a[n-1];
		a[n-1]=a[n-2];
		a[n-2]=c;
	}

	else if(drugiuslov==n) goto kraj;
	
	
	else{  //glavno
	for(int i=0;i<n;i++)
	max[i]=a[i];
	for(int i=0;i<n;i++)
	{		
		for(int j=i+1;j<n;j++)
		{
			if(max[i]<max[j])
			{
				k=max[i];
				max[i]=max[j];
				max[j]=k;
			}
		}
	}
	
	for(int i=0;i<n;i++){
		if(a[i]!=max[i]){
			c=a[i];
			for(int j=0;j<n;j++){
				if(a[j]==max[i]){
				a[j]=c;
				break;}
			}
			a[i]=max[i];
			break;
		}
	}
}
	
	kraj:
	for(int i=0;i<n;i++)
	cout<<a[i]<<" ";
	
	return 0;


}